Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Richard Stallman <[email-masked]>
Date: Sun, 12 Sep 2021 21:17:39 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The solution you proposed is not optimal I think, in particular because 
  > variables can also be set interactively, e.g. with M-: or C-x C-e, so 
  > checking that they have been set correctly after loading the init file is 
  > not enough.

Yes they can, but why is there a problem?  I don't see one.
Could you spell out the scenario?

  > * src/eval.c (Fsetq): Display warning when a custom variable with a :set
  > property is set with setq.  Warnings are displayed only for custom variables
  > whose files have been loaded and that have a :set property.

That might be a good solution too.

I'm not trying to argue that my solution is best.
I'm only arguing against telling people to change their
init files to replace `setq' with `customize-set-variable'.
If your solution avoids that, I don't mind.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)